﻿body {
  background: local;
  color: black;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

textarea {
  font-family: monospace;
  font-size: xx-small;
}

textarea::placeholder {
  font-family: cursive;
}

/* restyle radio items */
.radio-group .form-check {
  padding-left: 0;
}

.radio-group .btn-group > .form-check:not(:last-child) > .btn {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.radio-group .btn-group > .form-check:not(:first-child) > .btn {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  margin-left: -1px;
}

.radio-group .btn {
  font-size: 0.8rem;
}
/* 
.plan {
  background-color: #cbf9c5;
  --ag-header-cell-hover-background-color: #cbf9c5;
}

.real {
  background-color: #bebafd;
  --ag-header-cell-hover-background-color: #bebafd;
}
.projection {
  background-color: #f9b5b5;
  --ag-header-cell-hover-background-color: #f9b5b5;
} */

.ag-theme-balham.large {
  --ag-grid-size: 10px;
}

.ag-theme-balham.compact {
  --ag-grid-size: 3px;
}

.ag-theme-balham.large.font {
  --ag-font-size: 32px;
}

.ag-theme-balham.compact.font {
  --ag-font-size: 10px;
}
/* 
.row-group-active .ag-row-level-0 {
  font-weight: bold;
}

.row-group-active .ag-row-level-1 {
  font-weight: bold;
  color: darkblue;
}

.row-group-active .ag-row-level-2 {
  font-weight: bold;
  color: darkgreen;
}

.row-group-active .ag-row-level-3 {
  font-weight: bold;
  color: darkred;
} */

/* .ag-row-level-2 {
  color: darkgreen;
} */

.ag-tile:hover {
  background-color: yellow;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
}

html {
    height: 100%;
}

.footer {
    margin-top: auto;
}